import * as React from 'react';
import { ImageResizeMode, ViewProps } from 'react-native';
import { ImageProps } from './Image';
export declare type ImageAlignOption = 'center' | 'fill' | 'repeat' | 'fit';
export interface BackgroundImageProps extends ImageProps {
    align?: ImageAlignOption;
}
export interface BackgroundProps extends ViewProps {
    image?: BackgroundImageProps;
}
interface BackgroundState {
    loaded: boolean;
    resizeMode: ImageResizeMode;
}
export declare class Background extends React.Component<BackgroundProps, BackgroundState> {
    constructor(props: BackgroundProps);
    render(): JSX.Element;
    private renderImage;
    private onLoad;
    private onError;
    private onLayout;
    private fetchImageSize;
    private setImageState;
    private calcBestFit;
    private calcResize;
}
export {};
