import * as React from 'react';
import { ImageProps as ReactNativeImageProps, ImageSourcePropType } from 'react-native';
export interface ImageProps extends ReactNativeImageProps {
    alt: string;
}
export declare class Image extends React.Component<ImageProps> {
    static getSize(uri: string, success: (width: number, height: number) => void, failure: (error: any) => void): void;
    static prefetch(url: string): any;
    static abortPrefetch?(requestId: number): void;
    static queryCache?(urls: string[]): Promise<Map<string, "memory" | "disk">>;
    static resolveAssetSource(source: ImageSourcePropType): import("react-native").ImageResolvedAssetSource;
    render(): JSX.Element;
    private renderSvg;
    private renderImage;
}
