var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
import * as React from 'react';
import { Image as ReactNativeImage, View } from 'react-native';
import { Svg } from 'react-native-svg-component';
import { UrlUtils } from '../Utils';
export class Image extends React.Component {
    static getSize(uri, success, failure) {
        if (uri) {
            if (UrlUtils.isSvg(uri)) {
                if (success) {
                    success(Number.POSITIVE_INFINITY, Number.POSITIVE_INFINITY);
                }
            }
            else {
                ReactNativeImage.getSize(uri, (width, height) => {
                    if (success) {
                        success(width, height);
                    }
                }, (error) => {
                    if (failure) {
                        failure(error);
                    }
                });
            }
        }
    }
    static prefetch(url) {
        if (UrlUtils.isRemoteUrl(url)) {
            return ReactNativeImage.prefetch(url);
        }
    }
    static abortPrefetch(requestId) {
        ReactNativeImage.abortPrefetch(requestId);
    }
    static queryCache(urls) {
        return ReactNativeImage.queryCache(urls);
    }
    static resolveAssetSource(source) {
        return ReactNativeImage.resolveAssetSource(source);
    }
    render() {
        const { source } = this.props;
        if (source) {
            let uri = source.uri;
            if (uri) {
                if (UrlUtils.isSvg(uri)) {
                    return this.renderSvg();
                }
                else {
                    return this.renderImage();
                }
            }
        }
        return null;
    }
    renderSvg() {
        return (React.createElement(View, { key: 'SVG', style: [
                {
                    overflow: 'hidden',
                },
                this.props.style
            ] },
            React.createElement(Svg, { source: this.props.source, alt: this.props.alt, width: this.props.width, height: this.props.height })));
    }
    renderImage() {
        const _a = this.props, { source, alt, width, height, style } = _a, otherProps = __rest(_a, ["source", "alt", "width", "height", "style"]);
        return (React.createElement(ReactNativeImage, Object.assign({ source: source, accessible: !!alt, accessibilityLabel: alt, width: width, height: height, style: [
                {
                    width: width,
                    height: height,
                },
                style
            ] }, otherProps)));
    }
}
