import { UrlUtils } from './Url';
export var ImageType;
(function (ImageType) {
    ImageType[ImageType["Remote"] = 0] = "Remote";
    ImageType[ImageType["Local"] = 1] = "Local";
    ImageType[ImageType["Base64"] = 2] = "Base64";
    ImageType[ImageType["Svg"] = 3] = "Svg";
    ImageType[ImageType["Unknown"] = 4] = "Unknown";
})(ImageType || (ImageType = {}));
export class ImageUtils {
    static detectType(url) {
        if (url) {
            if (UrlUtils.isEncodedData(url)) {
                if (UrlUtils.isSvg(url)) {
                    return ImageType.Svg;
                }
                return ImageType.Base64;
            }
            else {
                if (UrlUtils.isRemoteUrl(url)) {
                    return ImageType.Remote;
                }
                return ImageType.Local;
            }
        }
        return ImageType.Unknown;
    }
}
